Page MenuHomePhabricator

LogEventsList::showLogExtract is affected by dir=prev
Closed, ResolvedPublic

Description

As User:Rosenkohl rightfully points out, LogEventsList::showLogExtract is currently affected by dir=prev, probably much like the offset problem which was fixed in r56687.

See this for an example:
http://de.wikipedia.org/w/index.php?title=Spezial:Beitr%C3%A4ge&dir=prev&target=Angel54&uselang=en
The log snippet is from 8 May 2010, although the current block is from 17 May 2010.


Version: unspecified
Severity: enhancement

Details

Reference
bz25592

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:23 PM
bzimport set Reference to bz25592.
Tobias created this task.Oct 19 2010, 8:11 PM
Anomie added a comment.Feb 2 2013, 2:21 AM
  • Bug 32859 has been marked as a duplicate of this bug. ***
Anomie added a comment.Feb 2 2013, 2:23 AM

Gerrit change 47200.

https://gerrit.wikimedia.org/r/47200 (Gerrit Change Id4380cd863ba69fc9b9afb5a0034d82ad4d9cc34) | change APPROVED and MERGED [by jenkins-bot]

Change merged. The deploy to WMF sites will most likely be a part of 1.22wmf3, see https://www.mediawiki.org/wiki/MediaWiki_1.22/Roadmap for the schedule.